Internet Explorer 6 compatibility

Topics: General
Oct 22, 2012 at 10:48 AM

I have to develop a site to be compatible with ie6, can anyone tell me if TypeScript would be a good idea or am I better off just using JavaScript itself?

Coordinator
Oct 22, 2012 at 4:12 PM

All "IE 6 is no longer supported" comments aside.

By default, the TypeScript compiler outputs ECMAScript 3, which should be mostly compatible with IE6.  For some optional TypeScript features, like accessors, the compiler will tell you that you must output ECMAScript 5 code, which would require a more recent browser.

Oct 22, 2012 at 4:25 PM

Thanks for your answer! This is my first day on an intern-ship so I'm not familiar with it yet.